Edit

kc3-lang/libxkbcommon/doc/doxygen-extra.css

Branch :

  • Show log

    Commit

  • Author : Pierre Le Marre
    Date : 2025-05-16 09:35:39
    Hash : d018638d
    Message : doc: Improve CSS

  • doc/doxygen-extra.css
  • html.dark-mode {
        --page-background-color: #000410;
        --fragment-background-color: #192027;
    }
    
    div#top, div.header, div.contents {
        margin-left: auto;
        margin-right: auto;
        max-width: 960px;
    }
    
    .footer {
        display: none;
    }
    
    dl.todo dt::before {
        content: '🚧 ';
    }
    
    dl.note dd {
        margin-inline-start: revert;
    }
    
    span.todo::before {
        content: '🚧 ';
    }
    
    /* Append external links with a distinctive icon */
    a[href^="http://"]::after,
    a[href^="https://"]::after
    {
        content: "";
        width: 11px;
        height: 11px;
        margin-left: 4px;
        background-color: var(--page-link-color);
        /* Bootstrap icon: https://icons.getbootstrap.com/icons/box-arrow-up-right/ */
        mask: url("data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' width='16' height='16' fill='currentColor' class='bi bi-box-arrow-up-right' viewBox='0 0 16 16'%3E%3Cpath fill-rule='evenodd' d='M8.636 3.5a.5.5 0 0 0-.5-.5H1.5A1.5 1.5 0 0 0 0 4.5v10A1.5 1.5 0 0 0 1.5 16h10a1.5 1.5 0 0 0 1.5-1.5V7.864a.5.5 0 0 0-1 0V14.5a.5.5 0 0 1-.5.5h-10a.5.5 0 0 1-.5-.5v-10a.5.5 0 0 1 .5-.5h6.636a.5.5 0 0 0 .5-.5z'/%3E%3Cpath fill-rule='evenodd' d='M16 .5a.5.5 0 0 0-.5-.5h-5a.5.5 0 0 0 0 1h3.793L6.146 9.146a.5.5 0 1 0 .708.708L15 1.707V5.5a.5.5 0 0 0 1 0v-5z'/%3E%3C/svg%3E");
        mask-position: center;
        mask-repeat: no-repeat;
        mask-size: contain;
        display: inline-block;
    }
    
    code {
        padding: .2em .4em;
        margin: 0;
        vertical-align: baseline;
        font-family: var(--font-family-monospace);
        font-size: 85%;
        white-space: break-spaces;
        background-color: var(--fragment-background-color);
        color: var(--fragment-foreground-color);
        border-radius: 6px;
    }
    
    /*******************************************************************************
     * Error index
     ******************************************************************************/
    
    div.example-container {
        display: flex;
        flex-flow: row wrap;
        justify-content: space-between;
        gap: 1em;
    }
    
    div.example {
        flex-grow: 1;
        overflow-x: auto;
        margin-top: 1em;
    }
    
    div.example-inner {
        height: 100%;
        display: flex;
        flex-direction: column;
    }
    
    div.example-title {
        padding: 0 0 1em 0;
        font-style: italic;
    }
    
    div.example table code {
        /* Allow to keep 2 examples side by side */
        font-size: 0.72rem;
    }
    
    div.example figure {
        margin: 0;
    }
    
    figcaption {
        font-style: italic;
    }
    
    figcaption p {
        margin: 0;
    }